Upstream information

CVE-2019-18900 at MITRE

Description

: Incorrect Default Permissions vulnerability in libzypp of SUSE CaaS Platform 3.0, SUSE Linux Enterprise Server 12, SUSE Linux Enterprise Server 15 allowed local attackers to read a cookie store used by libzypp, exposing private cookies. This issue affects: SUSE CaaS Platform 3.0 libzypp versions prior to 16.21.2-27.68.1. SUSE Linux Enterprise Server 12 libzypp versions prior to 16.21.2-2.45.1. SUSE Linux Enterprise Server 15 17.19.0-3.34.1.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 3.3 4
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1158763 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/busybox:1.26.2
Container caasp/v4/cert-exporter:2.3.0
Container caasp/v4/cilium-etcd-operator:2.0.5
Container caasp/v4/cilium-init:1.5.3
Container caasp/v4/cilium-operator:1.6.6
Container caasp/v4/cilium:1.6.6
Container caasp/v4/coredns:1.6.5
Container caasp/v4/curl:7.60.0
Container caasp/v4/etcd:3.4.3
Container caasp/v4/hyperkube:v1.17.4
Container caasp/v4/k8s-sidecar:0.1.75
Container caasp/v4/kubernetes-client:1.17.4
Container caasp/v4/kured:1.3.0
Container caasp/v4/metrics-server:0.3.6
Container caasp/v4/velero-plugin-for-aws:1.0.1
Container caasp/v4/velero-plugin-for-gcp:1.0.1
Container caasp/v4/velero-plugin-for-microsoft-azure:1.0.1
Container caasp/v4/velero-restic-restore-helper:1.3.1
Container caasp/v4/velero:1.3.1
Container suse/sle15:15.1
Image SLES15-SP1-CHOST-BYOS-Ali
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP1-CHOST-BYOS-OpenStack
Image caasp-389-ds-image
Image caasp-busybox-image
Image caasp-caasp-dex-image
Image caasp-cert-exporter-image
Image caasp-cilium-etcd-operator-image
Image caasp-cilium-image
Image caasp-cilium-init-image
Image caasp-cilium-operator-image
Image caasp-cloud-provider-openstack-image
Image caasp-configmap-reload-image
Image caasp-coredns-image
Image caasp-curl-image
Image caasp-etcd-image
Image caasp-gangway-image
Image caasp-grafana-image
Image caasp-helm-tiller-image
Image caasp-hyperkube-image
Image caasp-k8s-sidecar-image
Image caasp-kube-state-metrics-image
Image caasp-kubernetes-client-image
Image caasp-kured-image
Image caasp-metrics-server-image
Image caasp-prometheus-alertmanager-image
Image caasp-prometheus-node-exporter-image
Image caasp-prometheus-pushgateway-image
Image caasp-prometheus-server-image
Image caasp-rsyslog-image
Image caasp-test-update-image
Image caasp-velero-image
Image caasp-velero-plugin-for-aws-image
Image caasp-velero-plugin-for-gcp-image
Image caasp-velero-plugin-for-microsoft-azure-image
Image caasp-velero-restic-restore-helper-image
  • libsolv-tools >= 0.7.10-3.13.4
  • libzypp >= 17.19.0-3.14.5
  • zypper >= 1.14.33-3.13.5
Container suse/sle15:15.0
Image SLES15-EC2-CHOST-HVM-BYOS
  • libsolv-tools >= 0.7.10-3.22.1
  • libzypp >= 17.19.0-3.34.1
  • zypper >= 1.14.33-3.29.1
Container suse/sles12sp4:latest
Container suse/sles12sp5:latest
  • libzypp >= 16.21.2-2.45.1
SUSE CaaS Platform 3.0
  • libzypp >= 16.21.2-27.68.1
Patchnames:
SUSE-CAASP-3.0-2020-23
SUSE Linux Enterprise Desktop 12 SP4
  • libzypp >= 16.21.2-2.45.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2020-79
SUSE Linux Enterprise Installer Updates 15
  • libsolv >= 0.7.10-3.22.1
  • libsolv-tools >= 0.7.10-3.22.1
  • libzypp >= 17.19.0-3.34.1
  • zypper >= 1.14.33-3.29.1
Patchnames:
SUSE-SLE-INSTALLER-15-2020-87
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libsolv >= 0.7.10-3.13.4
  • libsolv-devel >= 0.7.10-3.13.4
  • libsolv-tools >= 0.7.10-3.13.4
  • libzypp >= 17.19.0-3.14.5
  • libzypp-devel >= 17.19.0-3.14.5
  • python3-solv >= 0.7.10-3.13.4
  • zypper >= 1.14.33-3.13.5
  • zypper-log >= 1.14.33-3.13.5
  • zypper-needs-restarting >= 1.14.33-3.13.5
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-432
SUSE Linux Enterprise Module for Basesystem 15
  • libsolv >= 0.7.10-3.22.1
  • libsolv-devel >= 0.7.10-3.22.1
  • libsolv-tools >= 0.7.10-3.22.1
  • libzypp >= 17.19.0-3.34.1
  • libzypp-devel >= 17.19.0-3.34.1
  • python-solv >= 0.7.10-3.22.1
  • zypper >= 1.14.33-3.29.1
  • zypper-log >= 1.14.33-3.29.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2020-87
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • libsolv >= 0.7.10-3.13.4
  • perl-solv >= 0.7.10-3.13.4
  • ruby-solv >= 0.7.10-3.13.4
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2020-432
SUSE Linux Enterprise Module for Development Tools 15
  • libsolv >= 0.7.10-3.22.1
  • perl-solv >= 0.7.10-3.22.1
  • python3-solv >= 0.7.10-3.22.1
  • ruby-solv >= 0.7.10-3.22.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2020-87
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libsolv >= 0.7.10-3.22.1
  • libsolv-demo >= 0.7.10-3.13.4
  • libzypp >= 17.19.0-3.14.5
  • libzypp-devel-doc >= 17.19.0-3.14.5
  • python-solv >= 0.7.10-3.22.1
  • zypper >= 1.14.33-3.13.5
  • zypper-aptitude >= 1.14.33-3.13.5
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-432
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-87
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libsolv >= 0.7.10-3.22.1
  • libsolv-demo >= 0.7.10-3.22.1
  • libzypp >= 17.19.0-3.34.1
  • libzypp-devel-doc >= 17.19.0-3.34.1
  • zypper >= 1.14.33-3.29.1
  • zypper-aptitude >= 1.14.33-3.29.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2020-87
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP1
  • libsolv >= 0.7.10-3.13.4
  • python-solv >= 0.7.10-3.13.4
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP1-2020-432
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libzypp >= 16.21.2-2.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-79
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libzypp >= 16.21.2-2.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-79
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libzypp >= 16.21.2-2.45.1
  • libzypp-devel >= 16.21.2-2.45.1
  • libzypp-devel-doc >= 16.21.2-2.45.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-79
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libzypp >= 16.21.2-2.45.1
  • libzypp-devel >= 16.21.2-2.45.1
  • libzypp-devel-doc >= 16.21.2-2.45.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-79
openSUSE Leap 15.1
  • libsolv >= 0.7.10-lp151.2.10.1
  • libsolv-debuginfo >= 0.7.10-lp151.2.10.1
  • libsolv-debugsource >= 0.7.10-lp151.2.10.1
  • libsolv-demo >= 0.7.10-lp151.2.10.1
  • libsolv-demo-debuginfo >= 0.7.10-lp151.2.10.1
  • libsolv-devel >= 0.7.10-lp151.2.10.1
  • libsolv-devel-debuginfo >= 0.7.10-lp151.2.10.1
  • libsolv-tools >= 0.7.10-lp151.2.10.1
  • libsolv-tools-debuginfo >= 0.7.10-lp151.2.10.1
  • libzypp >= 17.19.0-lp151.2.10.1
  • libzypp-debuginfo >= 17.19.0-lp151.2.10.1
  • libzypp-debugsource >= 17.19.0-lp151.2.10.1
  • libzypp-devel >= 17.19.0-lp151.2.10.1
  • libzypp-devel-doc >= 17.19.0-lp151.2.10.1
  • perl-solv >= 0.7.10-lp151.2.10.1
  • perl-solv-debuginfo >= 0.7.10-lp151.2.10.1
  • python-solv >= 0.7.10-lp151.2.10.1
  • python-solv-debuginfo >= 0.7.10-lp151.2.10.1
  • python3-solv >= 0.7.10-lp151.2.10.1
  • python3-solv-debuginfo >= 0.7.10-lp151.2.10.1
  • ruby-solv >= 0.7.10-lp151.2.10.1
  • ruby-solv-debuginfo >= 0.7.10-lp151.2.10.1
  • zypper >= 1.14.33-lp151.2.10.1
  • zypper-aptitude >= 1.14.33-lp151.2.10.1
  • zypper-debuginfo >= 1.14.33-lp151.2.10.1
  • zypper-debugsource >= 1.14.33-lp151.2.10.1
  • zypper-log >= 1.14.33-lp151.2.10.1
  • zypper-needs-restarting >= 1.14.33-lp151.2.10.1
Patchnames:
openSUSE-2020-255


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 3.0 libzypp Released
SUSE Linux Enterprise Desktop 12 SP4 libzypp Released
SUSE Linux Enterprise High Performance Computing 12 libzypp Released
SUSE Linux Enterprise Module for Basesystem 15 GA libzypp Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 libzypp Released
SUSE Linux Enterprise SDK 12 SP4 libzypp Released
SUSE Linux Enterprise SDK 12 SP5 libzypp Released
SUSE Linux Enterprise Server 11 SP4 LTSS libzypp Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS libzypp Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libzypp Affected
SUSE Linux Enterprise Server 12 SP3 LTSS libzypp Affected
SUSE Linux Enterprise Server 12 SP4 libzypp Released
SUSE Linux Enterprise Server 12 SP5 libzypp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libzypp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libzypp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libzypp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libzypp Released